package com.jpattern.orm.classmapper;

import java.lang.reflect.Field;
import java.util.Arrays;
import java.util.List;

/**
 * 
 * @author Francesco Cina'
 *
 * Apr 21, 2012
 */
public class ABuilder{

	protected void fillInheritedFields(Class<?> type, List<Field> fields) {
		for (Class<?> c = type; c != null; c = c.getSuperclass()) {
			fields.addAll(Arrays.asList(c.getDeclaredFields()));
		}
	}
}
