package com.jpattern.orm.session;

import java.sql.PreparedStatement;
import java.sql.SQLException;

/**
 * 
 * @author Francesco Cina
 *
 * 02/lug/2011
 * 
 * Set the values of a PreparedStatement to be executed in a batch update.
 */
public interface PreparedStatementCreator  {

	void set(PreparedStatement ps, int i) throws SQLException;
	
	int getBatchSize(); 
}
